/*
 * Segment 5 Intelligente Analyseverfahren, SWE 5.5 Funktionen Ganglinie
 * Copyright (C) 2011-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.gllib.gllib.portals;

import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.iav.gllib.gllib.domain.BetriebsMeldungsSender;
import de.bsvrz.iav.gllib.gllib.domain.MessQuerschnitt;
import de.bsvrz.sys.funclib.operatingMessage.MessageGrade;
import de.bsvrz.sys.funclib.operatingMessage.MessageSender;
import de.bsvrz.sys.funclib.operatingMessage.MessageType;

/**
 * Implementierung eines BetriebsMeldungsSender, der Betriebsmeldungen an ein
 * Datenverteiler-System publiziert.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class DavBetriebsmeldungsSender implements BetriebsMeldungsSender {

    private final ClientDavInterface dav;

    public DavBetriebsmeldungsSender(ClientDavInterface dav) {
        this.dav = dav;
    }

    @Override
    public void fehler(MessQuerschnitt messQuerschnitt, String message) {
        MessageSender sender = MessageSender.getInstance();
        SystemObject so = null;
        if (messQuerschnitt != null) {
            so = dav.getDataModel().getObject(messQuerschnitt.getPid());
        }
        sender.sendMessage(MessageType.APPLICATION_DOMAIN, "", MessageGrade.ERROR, so, null, message);
    }

    @Override
    public void warnung(MessQuerschnitt messQuerschnitt, String message) {
        MessageSender sender = MessageSender.getInstance();
        SystemObject so = null;
        if (messQuerschnitt != null) {
            so = dav.getDataModel().getObject(messQuerschnitt.getPid());
        }
        sender.sendMessage(MessageType.APPLICATION_DOMAIN, "", MessageGrade.WARNING, so, null, message);
    }

}
